<?php

namespace App\Http\Controllers;

use App\Models;
use Illuminate\Http\Request;
use Mockery\Exception;
use Illuminate\Support\Facades\Log;

class GroupController extends Controller
{
    public function CreateGroup(Request $request)
    {
        $params = [];
        $params["name"] = $request->input("name");
        $params["description"] = $request->input("description");
        $params["icon"] = $request->input("icon");

        $group = new Models\Group();
        $group->CreateGroup($params);
        // todo 这里应该返回group的json数据
        return "success";
    }

    public function ModifyGroup(Request $request)
    {
        $params = [];
        $params["gid"] = $request->input("gid");
        $params["name"] = $request->input("name");
        $params["description"] = $request->input("description");
        $params["icon"] = $request->input("icon");

        $group = new Models\Group();
        $group->ModifyGroup($params);
        return "success";
    }

    public function DeleteGroup(Request $request)
    {
        $params = [];
        $params["gid"] = $request->input("gid");

        $group = new Models\Group();
        $group->DeleteGroup($params);
        return "success";
    }
}

class GroupUserController extends Controller
{
    public function GroupAddUser(Request $request)
    {
        $gid = $request->input("gid");
        $uid = $request->input("uid");

        $groupUser = new Models\GroupUser();
        $groupUser->GroupAddUser($gid,$uid);
        return "success";
    }

    public function GroupRemoveUser(Request $request)
    {
        $gid = $request->input("gid");
        $uid = $request->input("uid");

        $groupUser = new Models\GroupUser();
        $groupUser->GroupRemoveUser($gid,$uid);
        return "success";
    }
}
